# Class Video#setContentRotation

Video

- Defined in: video.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Video#setContentRotation(successCallback, errorCallback, options) Sets content rotation.

## Class Detail

Video#setContentRotation(successCallback, errorCallback, options)
Sets content rotation.
Note :Only full screen video rotation is supported.

    // Javascript code
    function setContentRotation () {
      var options = {degree : "90", aspectRatio : "full"};

      function successCb() {
         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var video = new Video();
      video.setContentRotation(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  degree | String | "off", "90", or "270" | required
  aspectRatio | String | "full" or "original" | required

Since:
  1.3
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Video.getContentRotation()